10DLC
Sync 10DLC brand status
Sync the brand status with the registration provider. Use this to check for approval updates after submission.
POST
/
v1
/
10dlc
/
brands
/
{brandId}
/
sync
Sync 10DLC brand status
curl --request POST \
--url https://api.zavu.dev/v1/10dlc/brands/{brandId}/sync \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.zavu.dev/v1/10dlc/brands/{brandId}/sync"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.zavu.dev/v1/10dlc/brands/{brandId}/sync', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"brand": {
"id": "<string>",
"displayName": "Acme Corp",
"email": "jsmith@example.com",
"phone": "+14155551234",
"street": "<string>",
"city": "<string>",
"state": "<string>",
"postalCode": "<string>",
"country": "US",
"vertical": "Technology",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"companyName": "<string>",
"ein": "12-3456789",
"firstName": "<string>",
"lastName": "<string>",
"website": "<string>",
"stockSymbol": "<string>",
"stockExchange": "<string>",
"brandScore": 123,
"brandRelationship": "<string>",
"failureReason": "<string>",
"submittedAt": "2023-11-07T05:31:56Z",
"verifiedAt": "2023-11-07T05:31:56Z"
}
}{
"code": "invalid_request",
"message": "Phone number is invalid",
"details": {}
}{
"code": "invalid_request",
"message": "Phone number is invalid",
"details": {}
}{
"code": "invalid_request",
"message": "Phone number is invalid",
"details": {}
}⌘I
Sync 10DLC brand status
